<script>

$(function () {
	
	$('#baseuser').datagrid({
		url : '<?php echo $url?>base/user/get_user',
		fit : true,
		fitColumns : true,
		striped : true,
		rownumbers : true,
		border : false,
		toolbar : '#user_tool',
        singleSelect:true,
		columns : [[
			{
				field : 'user_id',
				title : '自动编号',
				width : 100,
				checkbox : true,
			},
			{
				field : 'user_name',
				title : '用户名',
				width : 100,
			},
			{
				field : 'user_role',
				title : '角色名',
				width : 100,
				formatter: function(value,row,index){

			        <?php foreach ($role as $key=>$value): ?>               
 
					if (row.user_role==<?= $value->role_id?>){
						return '<?=$value->role_name ?>';
					} 
			        
		        <?php endforeach; ?>         	
					
				}					
			}							
		]]
	});

	<?php foreach ($button as $item): ?>
	<?php if($item->button_way=='add'){ ?>		
	
	$('#baseuser_add').dialog({
		width : 350,
		title : '新增用户',
		modal : true,
		closed : true,
		iconCls : 'icon-add',
		buttons : [{
			text : '提交',
			iconCls : 'icon-ok',
			handler : function () {
				if ($('#baseuser_add').form('validate')) {
					$.ajax({
						url : '<?php echo $url?>base/user/add_user',
						type : 'post',
						data : {
							user_name : $('#auser_name').val(),
							user_role :$('#auser_role').val(),
						},
						beforeSend : function () {
							$.messager.progress({
								text : '正在新增中...',
							});
						},
						success : function (data, response, status) {
							$.messager.progress('close');
							 var data = eval('(' + data + ')');     
							if (data.success) {
								$.messager.show({
									title : '提示',
									msg : '新增用户成功',
								});
								$('#baseuser_add').dialog('close').form('reset');
								$('#baseuser').datagrid('reload');
							} else {
								$.messager.alert('新增失败！', '用户名重复或者未知错误导致失败，请重试！', 'warning');
							}
						}
					});
				}
			},
		},{
			text : '取消',
			iconCls : 'icon-redo',
			handler : function () {
				$('#baseuser_add').dialog('close').form('reset');
			},
		}],
	});

	<?php }?>
	<?php if($item->button_way=='edit'){ ?>					
	
	$('#baseuser_edit').dialog({
		width : 350,
		title : '用户修改',
		modal : true,
		closed : true,
		iconCls : 'icon-edit',
		buttons : [{
			text : '提交',
			iconCls : 'icon-ok',
			handler : function () {
// 				console.log( $('#euser_url').val());return false;
				$.ajax({
					url : '<?php echo $url?>base/user/update_user',
					type : 'post',
					data : {
						user_id : $('#baseuser_edit > input[name="user_id"]').val(),
						user_password :$('#euser_password').val(),
						user_role : $('#euser_role').val()
					},
					beforeSend : function () {
						$.messager.progress({
							text : '正在修改中...',
						});
					},
					success : function (data, response, status) {
						$.messager.progress('close');
						 var data = eval('(' + data + ')');     
//							console.log(data);
//							alert(data.success);
						if (data.success) {
							$.messager.show({
								title : '提示',
								msg : '修改用户成功',
							});
							$('#baseuser_edit').dialog('close').form('reset');
							$('#baseuser').datagrid('reload');
						} else {
							$.messager.alert('修改失败！', '未知错误或没有任何修改，请重试！', 'warning');
						}
					}
				});
			}
		},{
			text : '取消',
			iconCls : 'icon-redo',
			handler : function () {
				$('#baseuser_edit').dialog('close').form('reset');
			},
		}],
	});

	<?php }?>
    <?php endforeach; ?>			
	
	//管理帐号
	$('input[name="user_name"]').validatebox({
		required : true,
		validType : 'length[2,20]',
		missingMessage : '请输入用户名',
		invalidMessage : '用户名在 2-20 位',
	});

	user_tool = {
		reload : function () {
			$('#baseuser').datagrid('reload');
		},
		remove : function () {
			$('#baseuser').datagrid('unselectAll');
		},
		<?php foreach ($button as $item): ?>
		<?php if($item->button_way=='add'){ ?>					
		add : function () {
			$('#baseuser_add').dialog('open');
			$('#auser_role').combotree({    
			    url: '<?php echo $url?>base/user/get_role_tree',
			    required: true,
			}); 
		},
		<?php }?>
		<?php if($item->button_way=='edit'){ ?>			
		edit : function () {
			var rows = $('#baseuser').datagrid('getSelections');
			if (rows.length > 1) {
				$.messager.alert('警告操作！', '编辑记录只能选定一条数据！', 'warning');
			} else if (rows.length == 1) {
				$.ajax({
					url : '<?php echo $url?>base/user/get_one_user',
					type : 'post',
					data : {
						id : rows[0].user_id
					},
					beforeSend : function () {
						$.messager.progress({
							text : '正在获取中...',
						});
					},
					success : function (data, response, status) {
						$.messager.progress('close');						
						if (data) {
							var obj = $.parseJSON(data);
							$('#baseuser_edit').form('load', {
								user_id : obj[0].user_id,
								user_name : obj[0].user_name,
								user_role:obj[0].user_role
							}).dialog('open');
							$('#euser_role').combotree({    
							    url: '<?php echo $url?>base/user/get_role_tree',
							    required: true,
								onLoadSuccess : function (node, data) {
// 						    			var _this = this;
						    			if (data) {
						    				$(data).each(function (index, value) {
												if (value.id==obj[0].user_role) {
// 													$(_this).tree('check', value.target);
													$('#euser_role').combotree('setValue',value.id);
												}
						    				});
						    			}
						    	}	    
							});  				
						} else {
							$.messager.alert('获取失败！', '未知错误导致失败，请重试！', 'warning');
						}
					}
				});
			} else if (rows.length == 0) {
				$.messager.alert('警告操作！', '编辑记录至少选定一条数据！', 'warning');
			}
		},
		<?php }?>
	    <?php endforeach; ?>		
	};
	
});
</script>
<table id="baseuser"></table>

<div id="user_tool" style="padding:5px;">
	<div style="margin-bottom:5px;">
	<?php foreach ($button as $item): ?>
    	<a href="#" class="easyui-linkbutton" iconCls="icon-<?=$item->button_icon?>" plain="true" onclick="user_tool.<?=$item->button_way ?>()"><?php echo $item->button_name?></a>
    <?php endforeach; ?>
		<a href="#" class="easyui-linkbutton" iconCls="icon-reload" plain="true"  onclick="user_tool.reload();">刷新</a>
		<a href="#" class="easyui-linkbutton" iconCls="icon-remove" plain="true" onclick="user_tool.remove();">取消选择</a>		
	</div>
</div>


<form id="baseuser_add" style="margin:0;padding:5px 0 0 25px;color:#333;">
    <p>角色名：<input id="auser_role" style="width:200px;" ></p>
	<p>用户名：<input id="auser_name" type="text" name="user_name" class="textbox" style="width:200px;"></p>
	<p>密　码：<input id="auser_password" type="text" name="user_password"  disabled="true" value="默认：666" class="textbox" style="width:200px;"></p>
</form>


<form id="baseuser_edit" style="margin:0;padding:5px 0 0 25px;color:#333;">
	<input type="hidden" name="user_id" class="textbox" style="width:200px;">
	<p>用户名：<input id="euser_name" type="text" name="user_name" disabled="true" class="textbox" style="width:200px;"></p>
	<p>密　码：<input id="euser_password" type="text" name="user_password" class="textbox" style="width:200px;"></p>
	<p>角色名：<input id="euser_role" style="width:200px;" name="user_role"></p>
</form>

